Page MenuHomePhabricator

Prepare and check storage layer for arbcom_ruwiki
Closed, ResolvedPublic

Description

The new wiki is going to be private.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2020, 4:10 PM
JJMC89 updated the task description. (Show Details)Sep 14 2020, 4:14 PM
JJMC89 added subscribers: Ladsgroup, JJMC89.

public→private per the parent task

As documented, please do not create the database itself until it is confirmed here it is not being sent to cloud.

Change 627331 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Add arbcom_ruwiki to the list of private wikis

https://gerrit.wikimedia.org/r/627331

Change 627331 merged by Marostegui:
[operations/puppet@production] mariadb: Add arbcom_ruwiki to the list of private wikis

https://gerrit.wikimedia.org/r/627331

Mentioned in SAL (#wikimedia-operations) [2020-09-15T05:10:19Z] <marostegui> Restart sanitarium hosts on eqiad and codfw T262832

Marostegui triaged this task as Medium priority.Sep 15 2020, 5:26 AM
Marostegui moved this task from Triage to Done on the DBA board.

This is done.
One the database is created, please ping us so we can double check it has been correctly sanitized on labsdb hosts.

Thanks Manuel!

@Marostegui The database was just created.

Thanks - going to check if it has been filtered correctly

Marostegui closed this task as Resolved.Sep 28 2020, 12:21 PM
Marostegui reassigned this task from Marostegui to Urbanecm.

The database exists on s5, but not on labsdb or sanitarium hosts.
Closing this!
Thanks @Urbanecm!

# for i in db1100 db1124:3315 db2094:3315 labsdb1009 labsdb1010 labsdb1011 labsdb1012; do echo $i; mysql.py -h$i arbcom_ruwiki -e "show tables"; done
db1100
+--------------------------+
| Tables_in_arbcom_ruwiki  |
+--------------------------+
| abuse_filter             |
| abuse_filter_action      |
| abuse_filter_history     |
| abuse_filter_log         |
| actor                    |
| archive                  |
| babel                    |
| betafeatures_user_counts |
| bot_passwords            |
| category                 |
| categorylinks            |
| change_tag               |
| change_tag_def           |
| comment                  |
| content                  |
| content_models           |
| cu_changes               |
| cu_log                   |
| externallinks            |
| filearchive              |
| geo_tags                 |
| global_block_whitelist   |
| image                    |
| imagelinks               |
| interwiki                |
| ip_changes               |
| ipblocks                 |
| ipblocks_restrictions    |
| iwlinks                  |
| job                      |
| l10n_cache               |
| langlinks                |
| linter                   |
| log_search               |
| logging                  |
| mathoid                  |
| module_deps              |
| oathauth_users           |
| objectcache              |
| oldimage                 |
| page                     |
| page_props               |
| page_restrictions        |
| pagelinks                |
| protected_titles         |
| querycache               |
| querycache_info          |
| querycachetwo            |
| recentchanges            |
| redirect                 |
| revision                 |
| revision_actor_temp      |
| revision_comment_temp    |
| searchindex              |
| securepoll_cookie_match  |
| securepoll_elections     |
| securepoll_entity        |
| securepoll_lists         |
| securepoll_msgs          |
| securepoll_options       |
| securepoll_properties    |
| securepoll_questions     |
| securepoll_strike        |
| securepoll_voters        |
| securepoll_votes         |
| site_identifiers         |
| site_stats               |
| sites                    |
| slot_roles               |
| slots                    |
| spoofuser                |
| templatelinks            |
| text                     |
| transcode                |
| updatelog                |
| uploadstash              |
| user                     |
| user_former_groups       |
| user_groups              |
| user_newtalk             |
| user_properties          |
| watchlist                |
| watchlist_expiry         |
| wbc_entity_usage         |
+--------------------------+
db1124:3315
ERROR 1049 (42000): Unknown database 'arbcom_ruwiki'
db2094:3315
ERROR 1049 (42000): Unknown database 'arbcom_ruwiki'
labsdb1009
ERROR 1049 (42000): Unknown database 'arbcom_ruwiki'
labsdb1010
ERROR 1049 (42000): Unknown database 'arbcom_ruwiki'
labsdb1011
ERROR 1049 (42000): Unknown database 'arbcom_ruwiki'
labsdb1012
ERROR 1049 (42000): Unknown database 'arbcom_ruwiki'
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 28 2020, 12:21 PM